2010-01-11  svu

	* libxklavier/xkl_engine.h, libxklavier/xklavier.c,
	libxklavier/xklavier_private.h: introducing counters for start/stop
	listen operations: in one process (actually g-s-d) start and stop can
	be called several times, with different masks. The API is incompatibly
	changed!
	* configure.in: preparing 5.0 with new API
	* libxklavier/xklavier.c, libxklavier/xklavier_evt.c,
	libxklavier/xklavier_evt_xkb.c, libxklavier/xklavier_evt_xmm.c,
	libxklavier/xklavier_private.h, libxklavier/xklavier_util.c,
	libxklavier/xklavier_xmm.c: removing listener mask field, it is enough
	to use counters

2009-10-12  svu

	* libxklavier/xklavier_toplevel.c: using transient property for smart
	handling of the popup windows (for the per-window layout scenario).
	Nice idea by Paul Sokolovsky

2009-09-30  svu

	* libxklavier/xklavier_evt.c: ignore BadDrawable error,
	https://bugs.edge.launchpad.net/ubuntu/+source/libxklavier/+bug/404924
	* libxklavier/xklavier_private_xkb.h, libxklavier/xklavier_xkb.c: save
	xinput error code and event type
	* libxklavier/xklavier_evt.c, libxklavier/xklavier_evt_xkb.c,
	libxklavier/xklavier_private.h, libxklavier/xklavier_private_xkb.h,
	libxklavier/xklavier_xkb.c, libxklavier/xklavier_xmm.c: introduced
	engine-specific error handling (for ignoring xinput errors)

2009-08-29  svu

	* libxklavier/xklavier_evt.c: sometimes focus_in arrives when the
	previously focused window is already destroyed. That causes BadMatch
	and all kinds of trouble. The code should handle that case correctly.

2009-08-17  svu

	* libxklavier/xklavier_xkb.c: fixed a bug with XIE check,
	http://bugzilla.gnome.org/show_bug.cgi?id=583709

2009-07-20  svu

	* tests/Makefile.am: a bit of cleanup, thanks Samuli Suominen

2009-07-02  svu

	* libxklavier/xkl_engine.h: small fix for flag enum,
	https://bugs.freedesktop.org/show_bug.cgi?id=21578

2009-06-28  svu

	* libxklavier/xkl_engine.h, reference/tmpl/*: fix small gtk-doc issues
	* NEWS: preparing 4.0

2009-05-06  Sayamindu Dasgupta <sayamindu@laptop.org>

	https://bugs.freedesktop.org/show_bug.cgi?id=21578 - Make use 
	of glib-mkenums
	* libxklavier/Makefile.am: Use glib-mkenums
	* libxklavier/xklavier.c (xkl_engine_class_init): Do not use 
	g_flags_register_static for XklEngineFeatures here.
	* libxklavier/xklavier.h: Include xkl-enum-types.h

2009-06-24  svu

	* libxklavier/xklavier_config.c, libxklavier/xklavier_config_iso.c: avoiding
	duplicated config items (in main and extras)

2009-06-23  svu

	* configure.in, libxklavier/xkl_config_registry.h,
	libxklavier/xklavier_config.c, libxklavier/xklavier_config_xkb.c,
	libxklavier/xklavier_config_xmm.c, libxklavier/xklavier_private.h,
	libxklavier/xklavier_private_xkb.h,
	libxklavier/xklavier_private_xmm.h, tests/test_config.c: use exotic
	materials optionally. Breaking API/ABI (incrementing version_info)
	* tests/test_monitor.c: eliminating unneeded code

2009-06-19  svu

	* libxklavier/xklavier_config.c, libxklavier/xklavier_config_iso.c,
	libxklavier/xklavier_private.h: use xml files with exotic layouts

2009-06-02  svu

	* libxklavier/xklavier_config_iso.c: changed g_snprintf to more
	semantically correct g_strlcpy, just to eliminate the warning.
	* libxklavier/xklavier_props.c: fixed potential crash, reassigning the
	pointer after realloc (credits go to Canonical)

2009-05-28  svu

	* libxklavier/xklavier_config.c: fixed handling of translated XML
	entities &lt; / &gt / &amp;.
	http://bugs.freedesktop.org/show_bug.cgi?id=21924

2009-05-14  svu

	* autogen.sh, Makefile.am: fixing the build process (thanks to
	Marc-André Lureau)

2009-04-23  Federico Mena Quintero  <federico@novell.com>

	https://bugs.freedesktop.org/show_bug.cgi?id=21365 - Make sure
	libxklavier's X error handler still runs, even if the XKB
	extension is not present.
	* libxklavier/xklavier_evt.c (xkl_process_error): Fix the
	prototype to match XErrorHandler, so that we don't have to use
	casts when using XSetErrorHandler().
	* libxklavier/xklavier_xkb.c (xkl_xkb_init): In case XKB is not
	present, do not reset the X error handler here...
	* libxklavier/xklavier.c (xkl_engine_constructor): ... but do it
	here instead in case neither the XKB nor xmodmap modules can be
	initialized.  This way if either succeeds, libxklavier will have
	its own X error handler present, which is needed to filter out
	"harmless" errors like BadWindow for disappearing windows.

2009-04-06 svu

	* libxklavier/Makefile.am, tests/Makefile.am: adding -lX11 to .la
	file, http://bugs.freedesktop.org/show_bug.cgi?id=20243

2009-03-18 svu

	* Makefile.am, gtk-doc.make: unneeded external file should not be in dist/CVS
	* configure.in, NEWS: preparing 3.9

2009-03-10 svu

	* libxklavier/xklavier_evt.c: The X11 error processing is more 
	robust in relation to the missing engine (during the 
	initialization)

2009-03-09  svu

	* libxklavier/xklavier_config_xkb.c: no need to display loads of 
	warnings from xkbcomp,
	http://bugs.freedesktop.org/show_bug.cgi?id=20526

2009-02-21  svu

	* libxklavier/Makefile.am, tests/Makefile.am: reordering CFLAGS,
	http://bugs.freedesktop.org/show_bug.cgi?id=20244

2009-01-21  svu

	* configure.in: eliminate bashisms,
	http://bugs.freedesktop.org/show_bug.cgi?id=19645

2008-12-14  svu

	* libxklavier/Makefile.am, tests/Makefile.am: small cygwin fixes,
	http://bugs.freedesktop.org/show_bug.cgi?id=19030

2008-11-26  Rob Bradford  <rob@linux.intel.com>

	* libxklavier/Makefile.am:
	* tests/Makefile.am: Remove "-I$(includedir)" from the build system.
	It is superfluous and break cross-compilation.
	http://bugs.freedesktop.org/show_bug.cgi?id=17738

2008-11-26 svu

	* libxklavier/xklavier_config.c: fixed memleak,
	http://bugs.freedesktop.org/show_bug.cgi?id=17651

2008-11-24 svu

	* NEWS: preparing 3.8

2008-11-17 svu

	* configure.in: bumping versions (package and dll interface)

2008-11-16 svu

	* configure.in, libxklavier/Makefile.am: updating the build process,
	adding XInput dependency
	* libxklavier/xkl_engine.h, libxklavier/xklavier.c,
	libxklavier/xklavier_evt_xkb.c, libxklavier/xklavier_xkb.c,
	libxklavier/xklavier_private_xkb.h: using XInput for device discovery

2008-09-28 svu

	* libxklavier/xklavier_config_xkb.c,
	libxklavier/xklavier_private_xkb.h, libxklavier/xklavier_xkb.c:
	introducing device_id (for a moment - the core one, hardcoded)

2008-09-05 svu

	* NEWS, configure.in: preparing 3.7

2008-09-03 svu

	* libxklavier/xklavier_config.c: enforcing UTF-8 output of gettext,
	http://bugzilla.gnome.org/show_bug.cgi?id=529773

2008-06-17 svu

	* configure.in: fixing glib version requirement,
	http://bugs.freedesktop.org/show_bug.cgi?id=16207

2008-06-09 svu

	* libxklavier/xklavier_config_iso.c: take languages from variants into
	account

2008-04-27 svu

	* libxklavier/xkl_config_item.h, libxklavier/xkl_config_registry.h,
	doc/reference: a bit of cleanup for gtkdoc
	* NEWS: preparing 3.6
	* libxklavier/xklavier_config_iso.c, libxklavier/xklavier_config.c,
	libxklavier/xklavier_config_xkb.c, libxklavier/xklavier_util.c,
	libxklavier/xklavier_xmm.c: C99 fixes

2008-04-26 svu

	* libxklavier/xklavier_config_iso.c: another lost xpath, better
	handling of lowercase

2008-04-25 svu

	* libxklavier/xklavier_config_iso.c: lost xpath
	* tests/test_config.c: a bit of polish

2008-04-23 svu

	* libxklavier/xkl_config_registry.h, libxklavier/xklavier_config.c,
	libxklavier/xklavier_config_iso.c, libxklavier/xklavier_private.h,
	tests/test_config.c: finished ISO browsing functionality

2008-04-21 svu

	* configure.in, libxklavier/Makefile.am,
	libxklavier/xkl_config_registry.h, libxklavier/xklavier_config.c,
	libxklavier/xklavier_config_iso.c, libxklavier/xklavier_private.h,
	tests/test_config.c: adding country/language iteration functions,
	introducing dependency on iso-codes

2008-04-15 svu

	* libxklavier/xkl_config_item.h, libxklavier/xklavier_config.c,
	tests/test_config.c: processing the language lists

2008-04-14 svu

	* configure.in, libxklavier/xkl_config_item.h,
	libxklavier/xklavier_config.c, tests/test_config.c: processing the
	country lists

2008-03-10 svu

	* NEWS: preparing 3.5

2008-03-01 svu

	* libxklavier/xklavier_util.c, libxklavier/xklavier_toplevel.c:
	properly managing PointerRoot, another attempt to fix
	http://bugzilla.gnome.org/show_bug.cgi?id=516318

2008-02-28 svu

	* libxklavier/xklavier_util.c: fix by Jens for Xnest issue,
	http://bugzilla.gnome.org/show_bug.cgi?id=516318
	* Makefile.am, configure.in, xfree86.xml,
	libxklavier/xklavier_config.c, libxklavier/xklavier_config_xkb.c,
	libxklavier/xklavier_config_xmm.c, libxklavier/xklavier_private.h:
	getting rid of xfree86.xml, end of support for XFree 4.2, generalizing
	some registry loading code

2008-02-01 svu

	* tests/test_monitor.c: C99 fix, by Jens

2008-01-30 svu

	* NEWS: preparing 3.4

2007-10-06 svu

	* libxklavier/Makefile.am, libxklavier/xklavier_config.c,
	libxklavier/xklavier_config_i18n.c, libxklavier/xklavier_private.h,
	xkl_config_registry.h, xklavier_private.h: now, only gettext is doing
	string translation. No more hackish code in that area.

2007-10-03 svu

	* libxklavier/xklavier_config.c: using xkeyboard-config domain for
	translation, dealing with lowfat base.xml

2007-09-29 svu

	* tests/test_monitor.c: tracking the config

2007-09-04 svu

	* configure.in: indicate gtkdoc enabling
	* Makefile.am: make distcheck works
	* NEWS: preparing 3.3

2007-05-20 svu

	* libxklavier/xklavier.c, libxklavier/xklavier_private.h,
	libxklavier/xklavier_xkb.c, libxklavier/xklavier_xmm.c,
	tests/test_monitor.c: added missing indicator names function (thanks
	to Andriy Rysin for spotting)

2007-05-16 svu

	* configure.in: incrementing the version

2007-05-13 svu

	* libxklavier/xkl_config_item.h, libxklavier/xklavier_config.c,
	tests/test_config.c: processing "vendor" element, if specified

2007-03-22 svu

	* configure.in: make build process a bit smarter (in relation to
	xkbcomp), preparing 3.2

2007-03-19 svu

	* libxklavier/xklavier_toplevel.c: fixing the default group processing.
	Closing http://bugzilla.gnome.org/show_bug.cgi?id=414269

2007-02-23 svu

	* libxklavier/xklavier.c: workaround for xlib ambiguous behavior.
	http://bugzilla.gnome.org/show_bug.cgi?id=392853

2007-02-11 svu

	* configure.in: process empty x_libraries correctly, fixing
	http://bugzilla.gnome.org/show_bug.cgi?id=343762

2006-11-03 svu

	* libxklavier/xklavier_config.c: more accurate dealing with empty
	nodeset, hopefully fixing
	http://bugzilla.gnome.org/show_bug.cgi?id=370038

2006-10-16 svu

	* configure.in, NEWS: preparing release 3.1

2006-10-15 svu

	* libxklavier/xklavier.c, libxklavier/xklavier_evt.c,
	libxklavier/xklavier_evt_xkb.c, libxklavier/xklavier_evt_xmm.c,
	libxklavier/xklavier_private.h: more correct processing of the root
	window property defining the configuration. Apps listening for
	XKLL_TRACK_KEYBOARD_STATE should be notified as well.
	* libxklavier/xklavier_props.c: fixing splitting variant out of
	layout, like in "ru(winkeys)"

2006-10-07 svu

	* *.h,*.c: added copyright statements, as requested by debian folks

2006-08-30 svu

	* configure.in, NEWS: preparing release 3.0

2006-08-03 svu

	* libxklavier/xklavier_config.c: Loading with custom SAX handler
	(inherited from the existing default DOM builder). Now, loaded XML
	takes only 500K (for us locale). Hurray! 

2006-08-02 svu

	* libxklavier/xklavier_config.c: improving the XML parsing options,
	saving at least 1M of heap.

2006-07-30 svu

	* libxklavier/xkl_config_registry.h, libxklavier/xklavier_config.c,
	libxklavier/xklavier_config_i18n.c, libxklavier/xklavier_private.h,
	tests/test_config.c: simplifying description charset conversion,
	adding custom charset (as Andriy requested)

2006-07-30 svu

	* configure.in, libxklavier/Makefile.am: fixing autoconf stuff for
	modular X

2006-07-30 svu

	* libxklavier/xklavier_config_xkb.c,
	libxklavier/xklavier_private_xkb.h: patching mismatch between
	declarations and functions. Fixing
	http://bugzilla.gnome.org/show_bug.cgi?id=349275

2006-07-29 svu

	* xkeyboard_config.c: sanity patch, fixing
	http://bugzilla.gnome.org/show_bug.cgi?id=346980

2006-07-01 svu

	* autogen.sh, configure.in, gtk-doc.make: Make life better for people
	building without gtkdoc.

2006-07-01 svu

	* libxklavier.pc.in: added missing Cflags, Libs

2006-06-30 svu

	* libxklavier/xklavier.c, libxklavier/xklavier_config_xmm.c,
	libxklavier/Makefile.am, configure.in: Small fix for xmodmap,
	configure script gives more info about the configuration, at the end.

2006-06-04 svu

	* libxklavier/xklavier_props.c: fixed default options handling,
	the gchar** array changed from NULL to g_new0( char*, 1)

2006-05-20 svu

	* configure.in,
	libxklavier/Makefile.am,
	libxklavier/xklavier_config_xkb.c,
	libxklavier/xklavier_dump.c,
	libxklavier/xklavier_evt_xkb.c,
	libxklavier/xklavier_private_xkb.h,
	libxklavier/xklavier_xkb.c: xkb_headers -> libxkbfile,
	linking to xkbfile is also optional. 
	Thanks to Thomas Vander Stichele

2006-04-30 svu

	* autogen.sh: fail on autoconf/automake errors,
	thanks to Thomas Stichele

2006-04-22 svu

	* libxklavier/*.c:
	* tests/*.c: fixing gcc 2.95 compilation,
	thanks to Jens Granseuer

2006-04-18 svu

	* NEWS: preparing 2.91

2006-04-12 svu

	* libxklavier/xklavier_config.c,
	libxklavier/xklavier_config_xkb.c,
	libxklavier/xklavier_evt.c,
	libxklavier/xklavier_evt_xmm.c,
	libxklavier/xklavier_private.h,
	libxklavier/xklavier_props.c: syncing with 2.x fixes

2006-03-12 svu
	
	* everything: branching 2.x series, merging GLIBing branch to HEAD

2006-03-12 svu
	
	* everything: branching 2.x series, merging GLIBing branch to HEAD

2006-03-12 svu
	
	* everything: branching 2.x series, merging GLIBing branch to HEAD

2006-03-12 svu
	
	* everything: branching 2.x series, merging GLIBing branch to HEAD

2006-02-14 svu
	
	* libxklavier/xklavier.c, libxklavier/xklavier_evt.c: hopefully fixing
	the crash on SetTransparent

2006-01-16 svu
	
	* libxklavier/xklavier_config.c: handling XML comments

2005-12-26 svu
	
	* configure.in, libxklavier/xklavier_config_xkb.c: adding XKB_BIN_BASE,
	closing https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=174361

2005-12-10 svu
	
	* NEWS: update for 2.1

2005-12-03 svu
	
	* libxklavier/xklavier_config_xkb.c:
	wait -> waitpid, fixed http://bugzilla.gnome.org/show_bug.cgi?id=322955

2005-09-22 svu
	
	* libxklavier/xklavier_config_xkb.c:
	don't remove tmp files on debug level >= 500

2005-05-29 svu
	
	* libxklavier/xklavier.c,
	libxklavier/xklavier.h,
	libxklavier/xklavier_config.c,
	libxklavier/xklavier_config_i18n.c,
	libxklavier/xklavier_dump.c,
	libxklavier/xklavier_private.h,
	libxklavier/xklavier_private_xmm.h,
	libxklavier/xklavier_props.c,
	libxklavier/xklavier_util.c,
	libxklavier/xklavier_xkb.c,
	libxklavier/xklavier_xmm.c,
	tests/test_config.c: patches for gcc4.
	Thanks to kmaraas

2005-03-11 svu
	
	* libxklavier/xklavier_xkb.c: fixed memory leak, precachedXkb.
	Thanks to kmaraas

2005-02-25 svu
	
	* NEWS: update for 2.0

2005-02-24 svu
	
	* libxklavier/xklavier_props.c: small warning eliminated

2005-01-07 svu
	
	* libxklavier: a lot of optimizations (and some small fixes)

2004-12-30 svu
	
	* libxklavier/xklavier_config_xkb.c: some memory leak nailed
	* libxklavier/xklavier.c,
	libxklavier/xklavier_evt.c,
	libxklavier/xklavier_private.h,
	libxklavier/xklavier_xmm.c: internal polish, 
	secondary layouts are managed through the root window property.
	* configure.in, NEWS: preparing 1.14

2004-12-27 svu
	
	* libxklavier/xklavier_config_xkb.c,
	libxklavier/xklavier_private_xkb.h: A bit of restructuring
	in all XkbComponentNames-related functions. 
	Introducing some ... ugh, 'protected' functions.

2004-12-09 21:30  svu
	
	* libxklavier/xklavier_xkb.c, 
	libxklavier/xklavier_xmm.c: intoducing XKL_*_DISABLE
	envvars - for testing and related stuff. 
	It is just handy to have them.

2004-12-08 23:30  svu
	
	* libxklavier/xklavier_util.c, 
	libxklavier/xklavier_config_xkb.c: Fixing memory leaks.

2004-12-08 18:30  svu
	
	* configure.in, NEWS: Preparing 1.13

2004-12-07 01:30  svu
	
	* libxklavier, tests: introducing XklGetMaxNumGroups. 
	Another new call in API.

2004-12-07 00:20  svu
	
	* configure.in: using ac_x_includes to make configure
	work better. Improved backend checking and diagnostics.
	* autogen.sh: updating the version of tools

2004-12-02 21:47  svu
	
	* configure.in: xmodmap support is built by default

2004-12-02 21:20  svu
	
	* libxklavier/xklavier_xkb.c: Fix for compiling without
	headers

2004-12-02 00:21  svu
	
	* libxklavier/xklavier_xkb.c: Build patch by Andrei 
	Yurkevich

2004-11-28 16:00  svu
	
	* NEWS: Preparing 1.12

2004-11-27 16:00  svu
	
	* libxklavier: Some fixes in xmodmap. First version,
	working somehow

2004-11-25 23:00  svu
	
	* libxklavier, tests: MASSIVE commit. First version
	with somewhat working xmodmap support. Broken API

2004-11-04 19:00  svu

	* libxklavier/Makefile.am,
	libxklavier/xklavier.c,
	libxklavier/xklavier_config_xkb.c,
	libxklavier/xklavier_config_xmm.c,
	libxklavier/xklavier_evt_xmm.c,
	libxklavier/xklavier_private_xkb.h,
	libxklavier/xklavier_private_xmm.h,
	libxklavier/xklavier_xmm.c: going xmodmappy

2004-11-04 19:00  svu

	* libxklavier/xklavier_config_i18n.c,
	tests/Makefile.am,
	tests/test_config.c,
	tests/test_monitor.c: 64-bit compatibility patch from 
	James Henstridge. -Wall -Werror for tests.


2004-11-02 22:55  svu

	* libxklavier/Makefile.am,
	  libxklavier/xklavier.c,
	  libxklavier/xklavier.h,
	  libxklavier/xklavier_config.c,
	  libxklavier/xklavier_config_i18n.c,
	  libxklavier/xklavier_config_xkb.c,
	  libxklavier/xklavier_dump.c,
	  libxklavier/xklavier_evt.c,
	  libxklavier/xklavier_evt_xkb.c,
	  libxklavier/xklavier_private.h,
	  libxklavier/xklavier_private_xkb.h,
	  libxklavier/xklavier_props.c,
	  libxklavier/xklavier_xkb.c: virtualizing everything (?) which
	  involves XKB directly. The VTable is introduced. So, now another
	  VTable (xmodmap) can be created, hopefully...
	* configure.in: preparing 1.11

2004-10-31 21:00  svu

	* libxklavier/xklavier_config_xkb.c:
	Fixing the xkbcomp command line. Ubercool!

2004-10-24 03:54  svu

	* libxklavier/xklavier_config.h, libxklavier/xklavier_evt.c,
	libxklavier/xklavier_util.c: fixing handling of the transparent 
	windows. Fixes some problems with metacity and Window List-based
	switching (reported by Alexander Ovcharenko).

2004-10-16 23:18  svu

	* NEWS: preparing 1.10

2004-10-11 23:38  svu

	* libxklavier/: xklavier_config.c, xklavier_config_xkb.c,
	  xklavier_private.h, xklavier_xkb.c: Introducing the envvar
	  XKL_DEBUG - I am sick of calling XklSetDebug manually

2004-10-10 23:38  svu

	* libxklavier/xklavier_config_xkb.c, libxklavier/xklavier_xkb.c,
	  tests/test_config.c, tests/test_monitor.c: The revolution is on.
	  The whole description is not compiled on the client side -
	  nothing on the server side

2004-10-04 22:51  svu

	* ChangeLog, configure.in, libxklavier/xklavier_config.h,
	  libxklavier/xklavier_config_xkb.c, tests/.cvsignore,
	  tests/test_config.c: Cleaning up some functions. BREAKING the
	  API/ABI. Hope people will not start chasing me with axes...

2004-10-04 19:31  svu

	* configure.in: 1.10 but not 1.1

2004-10-02 01:32  svu

	* NEWS, RELEASE_NOTES_1_01, RELEASE_NOTES_1_02, configure.in: a bit
	  of cleanup

2004-10-01 23:04  svu

	* NEWS: mentioning tests in the NEWS

2004-10-01 22:55  svu

	* ChangeLog, NEWS, configure.in: preparing 1.04

2004-10-01 21:51  svu

	* ChangeLog, Makefile.am, configure.in,
	  libxklavier/xklavier_config.c, libxklavier/xklavier_config_xkb.c,
	  libxklavier/xklavier_props.c, tests/.cvsignore,
	  tests/Makefile.am, tests/test_config.c, tests/test_monitor.c:
	  Syncing with HEAD. Major leaks nailed. Default ruleset introduced
	  (well, it does not help much)

2004-09-30 02:17  svu

	* tests/test_config.c: now, test_config can set debug level as well

2004-09-30 02:15  svu

	* libxklavier/xklavier_config_xkb.c: dumping low-level components
	  before calling XkbGetKeyboardByName

2004-09-26 03:57  svu

	* tests/: test_config.c, test_monitor.c: monitor is working
	  somehow, more when needed

2004-09-25 02:40  svu

	* libxklavier/xklavier_config_xkb.c: bit of code polish

2004-09-25 02:25  svu

	* tests/: .cvsignore, Makefile.am, test_config.c, test_monitor.c:
	  printing the usage, adding the monitor app

2004-09-25 01:57  svu

	* libxklavier/: xklavier_config.c, xklavier_config_xkb.c: found and
	  fixed some leaks. hurray

2004-09-25 00:43  svu

	* tests/Makefile.am: added -lX11

2004-09-24 01:18  svu

	* tests/test_config.c: command line options give use some
	  flexibility in testing

2004-09-23 23:29  svu

	* tests/test_config.c: a bit deeper

2004-09-23 01:09  svu

	* Makefile.am, configure.in, tests/.cvsignore, tests/Makefile.am,
	  tests/test_config.c: starting the tests writing - I just had to
	  do it, so at least now...

2004-09-23 00:08  svu

	* libxklavier/: xklavier_config_xkb.c, xklavier_props.c: Thanks to
	  kmaraas for pointing me to the leak. I hope this will fix it

2004-09-18 00:47  svu

	* ChangeLog: Just to make people happy. Though it makes me unhappy
	  enough

2004-09-18 00:42  svu

	* configure.in, libxklavier/xklavier_config_xkb.c,
	  libxklavier/xklavier_props.c: The default value for the root
	  window property is introduced. I help it will help to the poor
	  people with broken XKB - just a little...

2004-08-09 23:24  svu

	* libxklavier/: xklavier_config_xkb.c, xklavier_evt.c,
	  xklavier_private.h, xklavier_util.c: syncing with b_1_00

2004-08-09 23:06  svu

	* libxklavier/xklavier_evt.c: fixing 126200

2004-07-26 20:05  svu

	* libxklavier/xklavier_config_xkb.c: fixing non-compilation error
	  on non-xkb systems, reported by Albert Chin-A-Young

2004-06-26 02:26  svu

	* RELEASE_NOTES_1_03: preparing 1.03

2004-06-13 13:26  svu

	* libxklavier/: xklavier_evt.c, xklavier_private.h,
	  xklavier_util.c: a bit improved debugging

2004-06-09 01:58  svu

	* libxklavier/: xklavier_evt.c, xklavier_private.h,
	  xklavier_util.c: forward-porting of the bugfixes from b_1_00
	  branch

2004-06-08 02:44  svu

	* libxklavier/xklavier_evt.c: some improvement in the last fix -
	  really update the current state only when LockGroup is planned

2004-06-08 02:20  svu

	* libxklavier/: xklavier_evt.c, xklavier_private.h,
	  xklavier_util.c: Some little restructuring, more debugging - AND
	  BIG FIX for global mode - we should not read current state from
	  the window focus switched to.

2004-05-27 23:41  svu

	* libxklavier/: xklavier.c: VERY VERY BAD BUG. ETERNAL SHAME ON ME

2004-04-30 01:02  svu

	* configure.in, libxklavier/xklavier_config_xkb.c,
	  libxklavier/xklavier_evt.c: syncing with b_1_0

2004-04-30 00:55  svu

	* configure.in, libxklavier/xklavier_config_xkb.c: hopefully now
	  libxklavier better detects multiple layouts support

2004-04-29 22:21  svu

	* libxklavier/xklavier_evt.c: more correct handling of transparent
	  windows in the global switching mode

2004-04-19 21:04  svu

	* RELEASE_NOTES_1_02, configure.in,
	  libxklavier/xklavier_config_xkb.c,
	  libxklavier/xklavier_private.h, libxklavier/xklavier_props.c:
	  syncing with b_1_00 - do not want to get jhbuild problems any
	  more

2004-04-19 20:41  svu

	* libxklavier/xklavier_config_xkb.c: compilation fix for non-xkb
	  arches

2004-04-13 22:33  svu

	* RELEASE_NOTES_1_02: preparing one more release - without
	  redundant configure flag

2004-04-13 22:21  svu

	* libxklavier/: xklavier_config_xkb.c, xklavier_private.h,
	  xklavier_props.c: no memory leaks necessary - just static data

2004-04-12 22:08  svu

	* configure.in, libxklavier/xklavier_config_xkb.c,
	  libxklavier/xklavier_props.c: it seems we got runtime rules
	  detection working

2004-04-12 18:35  svu

	* configure.in: better help message

2004-04-12 18:11  svu

	* configure.in: better help message

2004-04-09 23:09  svu

	* RELEASE_NOTES_1_01, configure.in,
	  libxklavier/xklavier_config_xkb.c: synching with HEAD

2004-04-09 21:15  svu

	* RELEASE_NOTES_1_01: preparing urgent release

2004-04-09 21:11  svu

	* configure.in, libxklavier/xklavier_config_xkb.c: I suppose now
	  libxklavier should be able to live in xorg world - the name of
	  the rules files is customizable at build-time

2004-03-16 22:53  svu

	* RELEASE_NOTES_1_00, configure.in: preparing 1.00

2004-03-16 22:37  svu

	* libxklavier/xklavier_xkb.c: Cleaner patch for the improper
	  display - along with some debug print, by Jody

2004-03-04 22:58  svu

	* libxklavier/xklavier_evt.c: All events can just come through
	  transparently

2004-03-04 22:55  svu

	* libxklavier/xklavier_config.h: out-of-date param comment removed

2004-03-04 22:54  svu

	* libxklavier/xklavier_xkb.c: fix for Solaris by Niall - though I
	  still do not understand how dpy can be NULL

2004-03-04 00:56  svu

	* libxklavier/xklavier.c: Some Solaris compilation patch (thanks to
	  Glynn Foster) - overall better than it was, unsigned should not
	  be just -1

2004-01-26 09:32  svu

	* RELEASE_NOTES_0_97: preparing 0.97

2004-01-22 08:57  svu

	* libxklavier/xklavier.h: fixed preprocessor varargs for solaris
	  compiler

2004-01-21 09:14  svu

	* configure.in, libxklavier/xklavier_config.c,
	  libxklavier/xklavier_config.h, libxklavier/xklavier_config_xkb.c,
	  libxklavier/xklavier_dump.c, libxklavier/xklavier_private_xkb.h,
	  libxklavier/xklavier_xkb.c: The public API does not depend on XKB
	  symbols any more. The API/ABI are broken

2004-01-20 08:56  svu

	* libxklavier/: Makefile.am, xklavier.h, xklavier_config.h,
	  xklavier_config_xkb.c, xklavier_dump.c, xklavier_evt.c,
	  xklavier_private.h, xklavier_private_xkb.h, xklavier_props.c,
	  xklavier_xkb.c: Trying to make libxklavier buildable without xkb
	  headers, first round

2004-01-20 08:55  svu

	* configure.in: detecting xkb headers

2004-01-19 09:06  svu

	* configure.in, libxklavier/Makefile.am: trying to be smart about
	  iconv

2004-01-12 00:14  svu

	* libxklavier/xklavier_props.c: Some a=a checking stuff makes life
	  a bit faster. But it happens rarely

2004-01-11 00:51  svu

	* libxklavier/: xklavier_config.h, xklavier_props.c: One extra
	  function to compare configurations

2004-01-11 00:50  svu

	* libxklavier/xklavier.c: 0 debugging initially. Otherwise the
	  startup of libxklavier applications does not look nice

2004-01-01 21:48  svu

	* doc/html/Makefile.am: GALAXYo made me fix installation without
	  doxygen

2003-12-31 00:59  svu

	* libxklavier/: xklavier.c, xklavier_props.c, xklavier_xkb.c: some
	  staff taken from xkb-dependent C file

2003-12-31 00:58  svu

	* configure.in: The proper share library versioning is important.
	  The new interface (8) compatible with old one (age 1)

2003-12-30 23:40  svu

	* libxklavier/: Makefile.am, xklavier.c, xklavier_config.c,
	  xklavier_config.h, xklavier_config_xkb.c, xklavier_dump.c,
	  xklavier_evt.c, xklavier_private.h, xklavier_private_xkb.h,
	  xklavier_props.c, xklavier_util.c, xklavier_xkb.c: first step in
	  separating all xkb-related things

2003-12-20 03:30  svu

	* RELEASE_NOTES_0_96: little polish

2003-12-20 02:44  svu

	* RELEASE_NOTES_0_96: preparing 0.96

2003-12-19 22:26  svu

	* libxklavier/Makefile.am: AM_CFLAGS used instead of CFLAGS

2003-12-19 09:40  svu

	* xfree86.xml: I GOT SICK OF PEOPLE BUILDING THINGS FROM CVS
